### Function

# Ide text_iter_forward_find_char

#### Declaration

    gboolean
    ide_text_iter_forward_find_char (
      GtkTextIter* iter,
      IdeTextIterCharPredicate pred,
      gpointer user_data,
      const GtkTextIter* limit
    )

#### Description

Similar to gtk_text_iter_forward_find_char but lets us acces to the iter in the predicate.

Available since: | 3.32

#### Parameters

`iter` | `GtkTextIter`
| No description available.
| The data is owned by the caller of the function.
`pred` | `IdeTextIterCharPredicate`
| A callback to locate the char.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`limit` | `GtkTextIter`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if found.